// MEDIA QUERY

$breakpoints: (
    mobile : 480px,
    inter  : 622px,
    tablet : 768px,
    desktop: 1024px
);

@mixin tablet {
    @media screen and (min-width: map-get($breakpoints, tablet)) {
        @content;
    }
}

/// IMPORT ///

@import "./proximite.scss";
@import "./plan.scss";
@import "./horaire.scss";
@import "./index.scss";

/// STYLE GENERAL //

* {
    margin          : 0;
    padding         : 0;
    font-family     : 'Roboto', sans-serif;
}

.body {
    display: flex;
    flex-direction: column;

    @include tablet {
        flex-direction: row;
    }
}

/// NAV - UNIVERSAL ///

#nav {
    position        : fixed;
    bottom          : 0;
    left            : 0;
    display         : flex;
    align-items     : center;
    width           : 100%;
    height          : 10vh;
    background-color: #222222;

    .nav-bar {
        display        : flex;
        justify-content: space-around;
        align-items    : center;
        width          : 100%;
        list-style     : none;

        .nav-item {

            a {
                display        : flex;
                flex-direction : column;
                justify-content: center;
                align-items    : center;
                color          : #fff;
                text-decoration: none;
                transition     : 200ms;

                &:hover {
                    color: #dc3c1b;
                }

                p {
                    margin-top: 0.3rem;
                    font-size : 0.9rem;
                }
            }
        }
    }
}

/// NAVBAR ICONE - UNIVERSAL ///

#pin,
#map,
#horaire{
    width : 22px;
    height: 22px;
}

#mobilite {
    width : 45px;
    height: 45px;
}

/// LINES LIST PLAN.HTML + HORAIRE.HTML ///

.lines-list {

    margin-bottom: 9vh;


    @include tablet {
        width: 50%;
    }

    .type {
        display         : flex;
        align-items     : center;
        padding         : 0.5rem;
        background-color: #222222;

        img {
            width    : 15px;
            height   : 15px;
            transform: rotate(90deg);
        }

        &.show {

            img {
                width     : 15px;
                height    : 15px;
                transform : rotate(270deg);
                transition: 350ms;
            }
        }

        &.hide {

            img {
                width     : 15px;
                height    : 15px;
                transform : rotate(90deg);
                transition: 350ms;
            }
        }

        .line-type {
            padding  : 0 0.5rem;
            font-size: 1.3rem;
            color    : #fff;
        }
    }
    
    .lines-tram,
    .lines-chrono,
    .lines-proxi,
    .lines-flexo {
        background-color: #3a3a38;

        &.show {
            display  : flex;
            padding  : 0.5rem;
            flex-wrap: wrap;
        }

        &.hide {
            display: none;
        }
    
        .line-number-circle {
            display        : flex;
            justify-content: center;
            align-items    : center;
            width          : 40px;
            height         : 40px;
            margin         : 0.5rem;
            border-radius  : 50%;
            font-size      : 1.3rem;
            color          : #fff;
        }

        .line-number-square {
            display        : flex;
            justify-content: center;
            align-items    : center;
            width          : 40px;
            height         : 40px;
            margin         : 0.5rem;
            border-radius  : 5px;
            font-size      : 1.3rem;
            color          : #fff;
        }
    }   
}

/// LOADING ///

.loader {

    &.hide {
        display: none;
    }

    &.loading {
        z-index         : 999;
        position        : absolute;
        top             : 50%;
        left            : 50%;
        display         : flex;
        justify-content : center;
        align-items     : center;
        width           : 100vw;
        height          : 100vh;
        background-color: rgb(#fff, 0.5);
        transform       : translate(-50%, -50%);
    }

    img {
        animation: 2000ms infinite loading;
    }
}

@keyframes loading {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}